{
  "_format": "hh-sol-artifact-1",
  "contractName": "HashCheckVerifier",
  "sourceName": "contracts/Verifiers/HashCheckVerifier.sol",
  "abi": [
    {
      "inputs": [
        {
          "internalType": "uint256[2]",
          "name": "a",
          "type": "uint256[2]"
        },
        {
          "internalType": "uint256[2][2]",
          "name": "b",
          "type": "uint256[2][2]"
        },
        {
          "internalType": "uint256[2]",
          "name": "c",
          "type": "uint256[2]"
        },
        {
          "internalType": "uint256[1]",
          "name": "input",
          "type": "uint256[1]"
        }
      ],
      "name": "verifyProof",
      "outputs": [
        {
          "internalType": "bool",
          "name": "r",
          "type": "bool"
        }
      ],
      "stateMutability": "view",
      "type": "function"
    }
  ],
  "bytecode": "[encoded data, 13456 characters]",
  "deployedBytecode": "[encoded data, 13392 characters]",
  "linkReferences": {},
  "deployedLinkReferences": {}
}
